Index: .hgtags
===================================================================
--- .hgtags	(revision 2467)
+++ .hgtags	(revision 1468)
@@ -12,3 +12,2 @@
 6fce226121140735a51a8f447c80f1dacd2974ea 2.4.4
 514d5121a12586b7ff320924d44028b677a01020 2.4.4
-e42d3233f080a2e846301cba3e3585e4a280a87d 2.6-RC
Index: CHANGELOG
===================================================================
--- CHANGELOG	(revision 2480)
+++ CHANGELOG	(revision 1791)
@@ -1,24 +1,2 @@
-Dotclear 2.6-RC - 2013-10-18
-===========================================================
-* PHP 5.2 required
-* jQuery upgraded to 1.10.2 (including jQuery migrate plugin 1.2.1)
-* mySQLi support (now proposed by default rather than mySQL)
-* Administration revamped, relooked, redesigned, new icons, new ergonomic's behaviours
-* Administration is now responsive (easier to cope with it on small devices)
-* Administration menu re-organized
-* a11y (accessibility) everywhere, with and whithout Js
-* Success, notice and warning messages have been harmonized
-* daInstaller has been dispatched in core (in plugins and blog themes management)
-* Global help is now available, contextual help is available on every page
-* Media manager enhanced
-* Maintenance plugin revamped and enhanced (now includes export features)
-* Categories management enhanced
-* Plugins and themes management revamped
-* New “Plumetis” variation for Blowup theme
-* Jasmine is now used for unit testing of js components
-* A lot of bug fixes
-* A lot of cosmetics adjustments
-* A lot of enhancements
-
 Dotclear 2.5.3 - 2013-09-13
 ===========================================================
@@ -213,5 +191,5 @@
 * Templates: Entries & Comments tags can now be sorted.
 * Templates: The template subsystem is quicker, linier, and ready to be extended.
-* Complete reworking of the settings system
+* Complete reworking of the settings system 
 * Correct handling of postgresql non default schemas.
 * Admin: Autocompletion and further enhancing to tags handling.
Index: admin/_charte.php
===================================================================
--- admin/_charte.php	(revision 2392)
+++ admin/_charte.php	(revision 2495)
@@ -31,4 +31,5 @@
 	<script type="text/javascript" src="js/jquery/jquery.js"></script>
 	<script type="text/javascript" src="js/jquery/jquery-ui.custom.js"></script>
+	<script type="text/javascript" src="js/jquery/jquery.ui.touch-punch.js"></script>
 	<script type="text/javascript" src="js/jquery/jquery.pageTabs.js"></script>
 	<script type="text/javascript" src="js/jquery/jquery.biscuit.js"></script>
@@ -83,4 +84,10 @@
 		<div id="main">
 			<div id="content" class="clearfix">
+			<div class="info">
+				<p>Cette page vise à présenter les règles graphiques et conventions utilisées dans les pages de l'administration
+				d'une installation Dotclear, à l'usage des contributeurs et développeurs d'extensions. Elle en est elle-même
+				une illustration. L'observation de son code source peut donc servir de complément aux descriptions.</p>
+			</div>
+
 				<h2>Typographie</h2>
 				<h3 id="texte">Textes</h3>
@@ -159,9 +166,11 @@
 						</div><!--
 						--><div class="two-boxes even">
-							<div class="two-boxes odd">
-								<p><span class="step">4</span> On peut bien sûr imbriquer des boîtes de class <code>"two-boxes"</code>
-								 au sein d'une boîte <code>"two-boxes" afin qu'elles…</code>…</p>
-							</div><div class="two-boxes even">
-								<p><span class="step">4 bis</span>… se distribuent horizontalement comme dans une boîte <code>"one-box"</code>.</p>
+							<div class="box odd">
+								<p><span class="step">4</span> Toutes les boîtes de class <code>"box"</code><br />
+								 placées au sein d'une boîte <code>"two-boxes"</code>…</p>
+							</div>
+							<div class="box even">
+								<p><span class="step">4 bis</span>… se distribuent horizontalement comme dans <br />
+									une boîte <code>"one-box"</code>.</p>
 							</div>
 						</div>
@@ -240,9 +249,7 @@
 							<p><label for="ex1">Label simple + input text :</label><input id="ex1" type="text" /></p>
 							<p class="form-note">p class="form-note".</p>
-							<p><label for="ex4" class="classic">Label class="classic" + input text :</label> <input id="ex4" type="text" /></p>
-							<p><label for="ex2" class="required"><abbr title="'.__('Required field').'">*</abbr> Label class="required" :</label> <input id="ex2" type="text" /><span class="form-note">span class="form-note"</span></p>
-							<p><label for="ex11" class="bold">Label class="bold" :</label> <input id="ex11" type="text" /></p>
-							<p class="form-note">La class="bold" est bien sûr à écrire en minuscules.</p>
+							<p><label for="ex2" class="required"><abbr title="'.__('Required field').'">*</abbr> Label class="required" :</label> <input id="ex2" type="text" /></p>
 							<p><label for="ex3">Input class="maximal" :</label> <input id="ex3" type="text" class="maximal" /></p>
+							<p><label for="ex4" class="classic">Label class="classic" :</label> <input id="ex4" type="text" /></p>
 						</div>
 						<div class="col">
@@ -255,10 +262,7 @@
 							<p><label class="classic" for="ex8-1"><input type="radio" checked="checked" id="ex8-1" value="ex8-1" name="ex8-1" />
 							 Bouton radio 1 (label.classic)</label></p>
-							<p><label class="classic" for="ex8-2"><input type="radio" id="ex8-2" value="ex8-2" name="ex8-2" />
+							 <p><label class="classic" for="ex8-2"><input type="radio" id="ex8-2" value="ex8-2" name="ex8-2" />
 							 Bouton radio 2 (label.classic)</label></p>
-							<p class="form-note">Les checkboxes et les boutons radio sont dans la balise &lt;label&gt;.</p>
-							<p><label class="classic" for="ex9"><input type="checkbox"
-							checked="checked" id="ex9" value="1" title="intitulé du champ" /></label> <label
-							for="ex10" class="classic">checkbox.classic + label class="classic" :</label> <input id="ex10" type="text" /></p>
+							 <p class="form-note">Les checkboxes et les boutons radio sont dans la balise &lt;label&gt;.</p>
 						</div>
 					</form>
@@ -333,21 +337,10 @@
 					<p class="nav_prevnext"><a title="Titre de l'élément précédente" href="post.php?id=4145">«&nbsp;Élément précédent</a> | <a title="Titre de l'élément suivant" href="#">Élément suivant&nbsp;»</a></p>
 
-				<h3 id="pseudo-tabs">Pseudo-onglets </h3>
-					<p>Les pseudo-onglets permettent d'ajouter des sous-pages qui sont des liens vers d'autres pages, par opposition aux onglets qui sont des sections internes à la page.</p>
-					<p>Les pseudo-onglets sont à positionner immédiatement après le breadcrumb (ici un hr simule le trait sous le breadcrumb).</p>
-					<hr style="margin-bottom: .75em;" />
-					<ul class="pseudo-tabs">
-					  <li><a href="#">Page 1</a></li>
-					  <li><a href="#">Autre faux onglet</a></li>
-					  <li><a href="#" class="active">Onglet actif</a></li>
-					  <li><a href="#">Liste 4</a></li>
-					</ul>
-
-				<h2 id="common">Tableaux</h2>
+				<h2>Tableaux</h2>
 					<p>Il existe deux mises en forme type de tableaux selon que l'on cherche à faire un tableau ordinaire
 					ou un tableau dont on peut déplacer les lignes par glisser déposer (voir plus bas). Cependant certaines règles
 					sont communes à tout les tableaux.</p>
 
-				<h3>Règles communes</h3>
+				<h3 id="communes">Règles communes</h3>
 					<h4>Largeur du tableau</h4>
 						<p>Sauf pour des tableaux particuliers (absents dans l'admin mais qui pourraient être nécessaires
@@ -373,5 +366,5 @@
 							<li><code>count</code> : le contenu de la cellule sera aligné à droite avec un petit retrait.</li>
 						</ul>
-				<h3 id="courants">Tableau classique</h3>
+				<h3 id="ordinaires">Tableau classique</h3>
 				<div class="table-outer">
 					<table>
@@ -439,5 +432,5 @@
 				</div>
 
-				<h3 id="dragable">Tableau avec ordonnancement</h3>
+				<h3>Tableau avec ordonnancement</h3>
 				<p>Les tableaux permettant l'ordonnancement doivent offrir la possibilité d'effectuer le classement grâce à
 				des inputs placés en début de ligne pour que le classement soit possible même lorsque cette fonctionnalité est
@@ -546,30 +539,26 @@
 						</table>
 					</div>
-
-				<h2 id="iconset">Icônes</h2>
-				<p>Les icônes utilisées dans l'administration sont présentes en deux formats&nbsp; 64*64px pour les grandes 
-				(qui sont affichées sur le tableau de bord si la page correspondante est choisie en favori par l'utilisateur) et 
-				16*16px pour les petits formats.</p>
-				<p>La plupart sont dérivées de la fonte d'icônes <a href="http://www.elegantthemes.com/blog/resources/elegant-icon-font">Elegant Font</a>. Les autres sont des images vectorielles réalisées 
-				par la DC Team. Nous les avons nommées <em>Traviata</em>. La palette de couleurs utilisée est la suivante&nbsp;:</p>
-				<p class="txt-center"><img src="images/palette-traviata.png" alt="palette des couleurs utilisées pour les icônes" /></p>
-				<p class="txt-center">Bleu&nbsp;: #137bbb - Vert&nbsp;: #9ac123 - Rouge&nbsp;: #c44d58 - Bleu ciel&nbsp;: #a2cbe9 - Gris clair&nbsp;: #ececec - 
-				Gris moyen&nbsp;: #b2b2b2 - Gris foncé&nbsp;: #676e78.</p>
 			</div><!-- /content -->
 		</div><!-- /main -->
 		<div id="main-menu">
-			<ul><li class="pretty-title">Typographie
+			<form id="search-menu" action="search.php" method="get">
+				<p><label for="qx" class="hidden">Chercher : </label><input type="text" size="30" name="qx" id="qx" maxlength="255"  /><input type="submit" value="OK" /></p>
+			</form>
+			<div id="favorites-menu">
+				<h3>Typo</h3>
 				<ul>
 					<li><a href="#texte">Texte</a></li>
 					<li><a href="#titres">Titres hx</a></li>
 				</ul>
-				</li>
-				<li class="pretty-title">Layouts
+			</div><!-- /favorites-menu -->
+			<div id="blog-menu">
+				<h3>Layouts</h3>
 				<ul>
 					<li><a href="#onglets">Onglets</a></li>
 					<li><a href="#multi-colonnage">Multi-colonnage</a></li>
 				</ul>
-				</li>
-				<li class="pretty-title">Interactions
+			</div><!-- /blog-menu -->
+			<div id="system-menu">
+				<h3>Interactions</h3>
 				<ul>
 					<li><a href="#elements">Éléments de formulaire</a></li>
@@ -577,25 +566,12 @@
 					<li><a href="#messages">Messages</a></li>
 				</ul>
-				</li>
-				<li class="pretty-title">Navigation
+			</div><!-- /system-menu -->
+			<div id="plugins-menu">
+				<h3>Navigation</h3>
 				<ul>
 					<li><a href="#direct">Accès direct</a></li>
 					<li><a href="#prevnext">Précédent, suivant</a></li>
-					<li><a href="#pseudo-tabs">Pseudo-onglets</a></li>
 				</ul>
-				</li>
-				<li class="pretty-title">Tableaux
-				<ul>
-					<li><a href="#commons">Règles communes</a></li>
-					<li><a href="#courants">Tableaux courants</a></li>
-					<li><a href="#dragables">Tableaux ordonnancés</a></li>
-				</ul>
-				</li>
-			</ul>
-			<div class="info vertical-separator">
-				<p>Cette page vise à présenter les règles graphiques et conventions utilisées dans les pages de l'administration
-				d'une installation Dotclear, à l'usage des contributeurs et développeurs d'extensions. Elle en est elle-même
-				une illustration. L'observation de son code source peut donc servir de complément aux descriptions.</p>
-			</div>
+			</div><!-- /plugins-menu -->
 		</div><!-- /main-menu -->
 
Index: admin/blog_theme.php
===================================================================
--- admin/blog_theme.php	(revision 2487)
+++ admin/blog_theme.php	(revision 2337)
@@ -84,5 +84,5 @@
 # -- Execute actions --
 try {
-	$list->doActions();
+	$list->doActions('themes');
 }
 catch (Exception $e) {
@@ -125,5 +125,5 @@
 			->setModules($modules)
 			->displayModules(
-				/*cols */		array('checkbox', 'name', 'sshot', 'desc', 'author', 'version', 'current_version', 'parent'),
+				/*cols */		array('sshot', 'name', 'desc', 'author', 'version', 'current_version', 'parent'),
 				/* actions */	array('update', 'delete')
 			);
@@ -132,5 +132,5 @@
 		'<p class="info vertical-separator">'.sprintf(
 			__("Visit %s repository, the resources center for Dotclear."),
-			'<a href="http://themes.dotaddict.org/dc2/">Dotaddict</a>'
+			'<a href="http://themes.dotaddict.org/dc2/"</a>'
 			).
 		'</p>'.
Index: admin/categories.php
===================================================================
--- admin/categories.php	(revision 2464)
+++ admin/categories.php	(revision 2495)
@@ -103,10 +103,9 @@
 
 $starting_script = "";
-
-$core->auth->user_prefs->addWorkspace('accessibility');
 if (!$core->auth->user_prefs->accessibility->nodragdrop
 	&& $core->auth->check('categories',$core->blog->id)
 	&& $rs->count()>1) {
 		$starting_script .= dcPage::jsLoad('js/jquery/jquery-ui.custom.js');
+		$starting_script .= dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js');
 		$starting_script .= dcPage::jsLoad('js/jquery/jquery.mjs.nestedSortable.js');
 }
@@ -186,5 +185,5 @@
 		}
 		echo
-		' <input type="submit"'.$attr_disabled.' class="'.$input_class.'delete" name="delete['.$rs->cat_id.']" value="'.__('Delete category').'"/>'.
+		'<input type="submit"'.$attr_disabled.' class="'.$input_class.'delete" name="delete['.$rs->cat_id.']" value="'.__('Delete category').'"/>'.
 		'</p>';
 
Index: admin/index.php
===================================================================
--- admin/index.php	(revision 2358)
+++ admin/index.php	(revision 2314)
@@ -332,5 +332,5 @@
 		'<p class="area"><label class="required" '.
 		'for="post_content"><abbr title="'.__('Required field').'">*</abbr> '.__('Content:').'</label> '.
-		form::textarea('post_content',50,10).
+		form::textarea('post_content',50,7).
 		'</p>'.
 		'<p><label for="cat_id" class="classic">'.__('Category:').'</label> '.
Index: admin/js/_blog_theme.js
===================================================================
--- admin/js/_blog_theme.js	(revision 2487)
+++ admin/js/_blog_theme.js	(revision 2290)
@@ -16,4 +16,10 @@
 	});
 
+	// confirm module deletion
+	$('div.module-actions form input[type=submit][name=delete]').click(function() {
+		var module_id = $('input[name=module]',$(this).parent()).val();
+		return window.confirm(dotclear.msg.confirm_delete_theme.replace('%s',module_id));
+	});
+
 	// dirty short search blocker
 	$('div.modules-search form input[type=submit]').click(function(){
@@ -21,58 +27,3 @@
 		if (mlen.length > 2){return true;}else{return false;}
 	});
-
-	// checkboxes selection
-	$('.checkboxes-helpers').each(function() {
-		dotclear.checkboxesHelpers(this);
-	});
-
-	// actions tests
-	$('.modules-form-actions').each(function(){
-		var rxActionType = /^[^\[]+/;
-		var rxActionValue = /([^\[]+)\]$/;
-		var checkboxes = $(this).find('input[type=checkbox]');
-
-		// check if submit is a global action or one line action
-		$("input[type=submit]",this).click(function() {
-			var keyword = $(this).attr('name');
-			var maction = keyword.match(rxActionType);
-			var action = maction[0];
-			var mvalues = keyword.match(rxActionValue);
-
-			// action on multiple modules
-			if (!mvalues) {
-				var checked = false;
-
-				// check if there is checkboxes in form
-				if(checkboxes.length > 0) {
-					// check if there is at least one checkbox checked
-					$(checkboxes).each(function() {
-						if (this.checked) {
-							checked = true;
-						}
-					});
-					if (!checked) {
-						//alert(dotclear.msg.no_selection);
-						return false;
-					}
-				}
-
-				// confirm delete
-				if (action == 'delete') {
-					return window.confirm(dotclear.msg.confirm_delete_themes);
-				}
-
-			// action on one module
-			}else {
-				var module = mvalues[1];
-
-				// confirm delete
-				if (action == 'delete') {
-					return window.confirm(dotclear.msg.confirm_delete_theme.replace('%s',module));
-				}
-			}
-
-			return true;
-		});
-	});
 });
Index: admin/js/_media_item.js
===================================================================
--- admin/js/_media_item.js	(revision 2454)
+++ admin/js/_media_item.js	(revision 2101)
@@ -1,11 +1,12 @@
 $(function() {
-	// Add datePicker if possible
-	var media_dt = document.getElementById('media_dt');
-	if (media_dt != undefined) {
+	$('#media-details-tab').onetabload(function() {
+		// Add date picker
+		var media_dt = document.getElementById('media_dt');
+		if (media_dt == undefined) { return; }
 		var post_dtPick = new datePicker(media_dt);
 		post_dtPick.img_top = '1.5em';
 		post_dtPick.draw();
-	}
-
+	});
+	
 	// Display zip file content
 	$('#file-unzip').each(function() {
@@ -13,19 +14,19 @@
 		var mediaId = $(this).find('input[name=id]').val();
 		var self = $(this);
-
+		
 		a.href = '#';
 		$(a).text(dotclear.msg.zip_file_content);
 		self.before(a);
 		$(a).wrap('<p></p>');
-
+		
 		$(a).click(function() {
 			$.get('services.php',{f:'getZipMediaContent',id: mediaId},function(data) {
 				var rsp = $(data).children('rsp')[0];
-
+				
 				if (rsp.attributes[0].value == 'ok') {
 					var div = document.createElement('div');
 					var list = document.createElement('ul');
 					var expanded = false;
-
+					
 					$(div).css({
 						overflow: 'auto',
@@ -38,5 +39,5 @@
 					$(a).hide();
 					$(div).before('<h3>' + dotclear.msg.zip_file_content + '</h3>');
-
+					
 					$(rsp).find('file').each(function() {
 						$(list).append('<li>' + $(this).text() + '</li>');
@@ -53,5 +54,5 @@
 		});
 	});
-
+	
 	// Confirm for inflating in current directory
 	$('#file-unzip').submit(function() {
Index: admin/js/_plugins.js
===================================================================
--- admin/js/_plugins.js	(revision 2487)
+++ admin/js/_plugins.js	(revision 2292)
@@ -1,67 +1,168 @@
+dotclear.moduleExpander = function(line) {
+        var td = line.firstChild;
+        
+        var img = document.createElement('img');
+        img.src = dotclear.img_plus_src;
+        img.alt = dotclear.img_plus_alt;
+        img.className = 'expand';
+        $(img).css('cursor','pointer');
+        img.line = line;
+        img.onclick = function() { dotclear.viewModuleContent(this,this.line); };
+        
+        td.insertBefore(img,td.firstChild);
+};
+
+dotclear.modulesExpander = function(line,lines) {
+        var td = line.firstChild;
+
+        var img = document.createElement('img');
+        img.src = dotclear.img_plus_src;
+        img.alt = dotclear.img_plus_alt;
+        img.className = 'expand';
+        $(img).css('cursor','pointer');
+        img.lines = lines;
+        img.onclick = function() { dotclear.viewModulesContent(this,this.lines); };
+
+        td.insertBefore(img,td.firstChild);
+};
+
+dotclear.viewModulesContent = function(img,lines) {
+        
+        action = 'toggle';
+
+        if (img.alt == dotclear.img_plus_alt) {
+                img.src = dotclear.img_minus_src;
+                img.alt = dotclear.img_minus_alt;
+                action = 'open';
+        } else {
+                img.src = dotclear.img_plus_src;
+                img.alt = dotclear.img_plus_alt;
+                action = 'close';
+        }
+        
+        lines.each(function() {
+                var td = this.firstChild;
+                dotclear.viewModuleContent(td.firstChild,td.firstChild.line,action);
+        });
+};
+
+dotclear.viewModuleContent = function(img,line,action) {
+
+        var action = action || 'toggle';
+		var cols = $('td',$(line)).length
+        var sp = line.id.split('_m_');
+		var listId=sp[0];
+		var moduleId= sp[1];
+
+        var tr = document.getElementById('pe'+moduleId);
+        
+		if ( !tr && ( action == 'toggle' || action == 'open' ) ) {
+                tr = document.createElement('tr');
+                tr.id = 'pe'+moduleId;
+
+                var td = document.createElement('td');
+                td.colSpan = cols;
+                td.className = 'expand';
+                tr.appendChild(td);
+                
+                img.src = dotclear.img_minus_src;
+                img.alt = dotclear.img_minus_alt;
+                
+                // Get post content
+                $.get('services.php',{f:'getModuleById', id: moduleId, list: listId},function(data) {
+                        var rsp = $(data).children('rsp')[0];
+                        
+                        if (rsp.attributes[0].value == 'ok') {
+                                var author = $(rsp).find('author').text();
+                                var details = $(rsp).find('details').text();
+                                var support = $(rsp).find('support').text();
+								var box = document.createElement('div');
+                                var bloc = document.createElement('ul');
+                                bloc.className = "mod-more";
+                                
+                                if (author) {
+                                        $(bloc).append($('<li class="module-author">'+dotclear.msg.module_author+' '+author+'</li>'));
+                                }
+                                if (details) {
+                                        var dd = '';
+                                        dd += '<a class="module-details" href="'+details+'">'+dotclear.msg.module_details+'</a>';
+                                        if (support) {
+                                                dd += ' - ';
+                                                dd += '<a class="module-support" href="'+support+'">'+dotclear.msg.module_support+'</a>';
+                                        }
+                                        $(bloc).append($('<li>'+dd+'</li>'));
+                                }
+
+                                $(td).append($(box).append(bloc));
+                                
+                                var section = $(rsp).find('section').text();
+                                var tags = $(rsp).find('tags').text();
+                                
+				var boxb = document.createElement('div');
+                                var blocb = document.createElement('ul');
+                                blocb.className = "mod-more";
+                                
+                                if (section) {
+                                        $(blocb).append($('<li class="module-section">'+dotclear.msg.module_section+' '+section+'</li>'));
+                                }
+                                if (tags) {
+                                        $(blocb).append($('<li class="module-tags">'+dotclear.msg.module_tags+' '+tags+'</li>'));
+                                }
+                                $(td).append($(boxb).append(blocb));
+                        } else {
+                                alert($(rsp).find('message').text());
+                        }
+                });
+                
+                $(line).addClass('expand');
+                line.parentNode.insertBefore(tr,line.nextSibling);
+        }
+        else if (tr && tr.style.display == 'none' && ( action == 'toggle' || action == 'open' ) )
+        {
+                $(tr).css('display', 'table-row');
+                $(line).addClass('expand');
+                img.src = dotclear.img_minus_src;
+                img.alt = dotclear.img_minus_alt;
+        }
+        else if (tr && tr.style.display != 'none' && ( action == 'toggle' || action == 'close' ) )
+        {
+                $(tr).css('display', 'none');
+                $(line).removeClass('expand');
+                img.src = dotclear.img_plus_src;
+                img.alt = dotclear.img_plus_alt;
+        }
+        
+        parentTable = $(line).parents('table');
+        if( parentTable.find('tr.expand').length == parentTable.find('tr.line').length ) {
+                img = parentTable.find('tr:not(.line) th:first img');
+                img.attr('src',dotclear.img_minus_src);
+                img.attr('alt',dotclear.img_minus_alt);
+        }
+        
+        if( parentTable.find('tr.expand').length == 0 ) {
+                img = parentTable.find('tr:not(.line) th:first img');
+                img.attr('src',dotclear.img_plus_src);
+                img.attr('alt',dotclear.img_plus_alt);
+        }
+        
+};
+
+
 $(function() {
+/*
+	// expand all modules lines
+	$('table.modules.expandable tr:not(.line)').each(function() {
+		dotclear.modulesExpander(this,$('table.modules.expandable tr.line'));
+	});
+*/
 	// expand a module line
-	$('table.modules.expandable tr.line').each(function(){
-		$('td.module-name',this).toggleWithLegend($(this).next('.module-more'),{
-			img_on_src: dotclear.img_plus_src,
-			img_on_alt: dotclear.img_plus_alt,
-			img_off_src: dotclear.img_minus_src,
-			img_off_alt: dotclear.img_minus_alt,
-			legend_click: true
-		});
+	$('table.modules.expandable tr.line').each(function() {
+		dotclear.moduleExpander(this);
 	});
 
-	// checkboxes selection
-	$('.checkboxes-helpers').each(function() {
-		dotclear.checkboxesHelpers(this);
-	});
-
-	// actions tests
-	$('.modules-form-actions').each(function(){
-		var rxActionType = /^[^\[]+/;
-		var rxActionValue = /([^\[]+)\]$/;
-		var checkboxes = $(this).find('input[type=checkbox]');
-
-		// check if submit is a global action or one line action
-		$("input[type=submit]",this).click(function() {
-			var keyword = $(this).attr('name');
-			var maction = keyword.match(rxActionType);
-			var action = maction[0];
-			var mvalues = keyword.match(rxActionValue);
-
-			// action on multiple modules
-			if (!mvalues) {
-				var checked = false;
-
-				// check if there is checkboxes in form
-				if(checkboxes.length > 0) {
-					// check if there is at least one checkbox checked
-					$(checkboxes).each(function() {
-						if (this.checked) {
-							checked = true;
-						}
-					});
-					if (!checked) {
-						//alert(dotclear.msg.no_selection);
-						return false;
-					}
-				}
-
-				// confirm delete
-				if (action == 'delete') {
-					return window.confirm(dotclear.msg.confirm_delete_plugins);
-				}
-
-			// action on one module
-			}else {
-				var module = mvalues[1];
-
-				// confirm delete
-				if (action == 'delete') {
-					return window.confirm(dotclear.msg.confirm_delete_plugin.replace('%s',module));
-				}
-			}
-
-			return true;
-		});
+	// confirm module deletion
+	$('div.module-actions form input[type=submit][name=delete]').click(function() {
+		var module_id = $('input[name=module]',$(this).parent()).val();
+		return window.confirm(dotclear.msg.confirm_delete_plugin.replace('%s',module_id));
 	});
 });
Index: admin/js/common.js
===================================================================
--- admin/js/common.js	(revision 2486)
+++ admin/js/common.js	(revision 2298)
@@ -410,5 +410,5 @@
 	// manage outgoing links
 	$('a').filter(function() {
-		return ((this.hostname && this.hostname!=location.hostname && !$(this).hasClass('modal'))
+		return ((this.hostname && this.hostname!=location.hostname)
 			|| $(this).hasClass('outgoing'));
 	}).each(function() {
Index: admin/js/jquery/jquery.pageTabs.js
===================================================================
--- admin/js/jquery/jquery.pageTabs.js	(revision 2479)
+++ admin/js/jquery/jquery.pageTabs.js	(revision 2348)
@@ -68,24 +68,10 @@
 	
 	var getHash = function getHash(href) {
-		var href = href || '';
-
 		return href.replace(/.*#/, '');
 	};
 	
 	$.pageTabs.clickTab = function(tab) {
-		if (tab=='') {
+		if (tab=='' || $('#'+$.pageTabs.options.idTabPrefix+tab, '.'+$.pageTabs.options.containerClass).length==0) {
 			tab = getHash($('ul li a', '.'+$.pageTabs.options.containerClass+':eq(0)').attr('href'));
-		} else if ($('#'+$.pageTabs.options.idTabPrefix+tab, '.'+$.pageTabs.options.containerClass).length==0) {
-			// try to find anchor in a .multi-part div
-			if ($('#'+tab).length==1) {
-				var div_content = $('#'+tab).parents('.'+$.pageTabs.options.contentClass);
-				if (div_content.length==1) {
-					tab = div_content.attr('id').replace($.pageTabs.options.partPrefix,'');
-				} else {
-					tab = getHash($('ul li a', '.'+$.pageTabs.options.containerClass+':eq(0)').attr('href'));
-				}
-			} else {
-				tab = getHash($('ul li a', '.'+$.pageTabs.options.containerClass+':eq(0)').attr('href'));
-			}
 		}
 
